#ifndef CvsCheckOutDialog_h
#define CvsCheckOutDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "LineEditor.h"

#include <QCheckBox>

class CvsCheckOutDialog: public CustomDialog
{

    Q_OBJECT

    public:

    //* constructor
    CvsCheckOutDialog( QWidget* parent );

    //* cvsroot
    void setCvsRoot( const QString& value )
    { rootEditor_->setText( value ); }

    //* cvsroot
    QString cvsRoot( void ) const
    { return rootEditor_->text(); }

    //* module name
    QList<QString> modules( void ) const;

    //* use different local name
    bool useLocalName( void ) const
    { return localNameEditor_->isEnabled(); }

    //* local name
    QString localName( void ) const
    { return localNameEditor_->text(); }

    private Q_SLOTS:

    //* check if multiple modules are present and update local editor consequently
    void _checkModules( const QString& );

    private:

    //* cvsroot editor
    LineEditor* rootEditor_;

    //* module name editor
    LineEditor* moduleEditor_;

    //* use local name
    QCheckBox* localNameCheckBox_;

    //* local name checkbox state
    bool state_;

    //* local name editor
    LineEditor* localNameEditor_;

};

#endif
