/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QLabel>
#include <QGroupBox>
#include <QButtonGroup>

#include "CvsRemoveDialog.h"

//____________________________________________________________________________
CvsRemoveDialog::CvsRemoveDialog( QWidget* parent, const FileInfoModel::List& files ):
  FileSelectionDialog( parent, files )
{

  Debug::Throw( "CvsRemoveDialog::CvsRemoveDialog.\n" );

  _workLayout().addWidget( new QLabel( "", this ) );

  // action box
  QGroupBox* box = new QGroupBox( tr( "Options" ), this );
  _workLayout().addWidget( box );
  QVBoxLayout *layout( new QVBoxLayout() );
  box->setLayout( layout );
  layout->setMargin(5);
  layout->setSpacing(5);

  QButtonGroup* group = new QButtonGroup( this );
  group->setExclusive( true );

  layout->addWidget( removeFromDiskCheckBox_ = new QRadioButton( tr( "Remove files from disk" ), box ) );
  group->addButton( removeFromDiskCheckBox_ );
  removeFromDiskCheckBox_->setToolTip( tr( "Delete files from disk prior to removing them from the repository" ) );

  QRadioButton* radio_button;
  layout->addWidget( radio_button = new QRadioButton( tr( "Rename files on disk" ), box ) );
  group->addButton( radio_button );
  radio_button->setToolTip( tr( "Rename files from disk prior to removing them from the repository" ) );

  layout->addStretch(1);

  okButton().setText( tr( "Remove" ) );
  okButton().setToolTip( tr( "Remove selected files from the repository. \nNote that the files must be removed/renamed from disk first" ) );
  okButton().setFocus();
  adjustSize();

}
