#ifndef CvsRemoveDialog_h
#define CvsRemoveDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include <QRadioButton>

#include "FileSelectionDialog.h"

//! QDialog used to commit selected files
class CvsRemoveDialog: public FileSelectionDialog
{

    Q_OBJECT

    public:

    //! constructor
    CvsRemoveDialog( QWidget*, const FileInfoModel::List& );

    //! action mode
    enum Mode
    {
        RemoveFiles,
        RenameFiles
    };

    //! set mode
    void setMode( const Mode& mode )
    { removeFromDiskCheckBox_->setChecked( mode == RemoveFiles ); }

    //! mode
    Mode mode( void ) const
    { return removeFromDiskCheckBox_->isChecked() ? RemoveFiles:RenameFiles; }

    private:

    //! if checked files are first removed from disk. Otherwise renamed
    QRadioButton* removeFromDiskCheckBox_;

};

#endif
