#ifndef FileSelectionDialog_h
#define FileSelectionDialog_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "CustomDialog.h"
#include "FileInfo.h"
#include "FileInfoModel.h"

#include <QLayout>
#include <QPushButton>

class TreeView;

//! QDialog used to commit selected files
class FileSelectionDialog: public CustomDialog
{

    //! Qt meta object
    Q_OBJECT

    public:

    //! constructor
    FileSelectionDialog( QWidget*, const FileInfoModel::List& files = FileInfoModel::List() );

    // return selected files
    FileInfoModel::List selectedFiles( void ) const;

    protected:

    //! list
    TreeView& _list() const
    { return *list_; }

    //! model
    const FileInfoModel& _model() const
    { return model_; }

    //! model
    FileInfoModel& _model()
    { return model_; }

    //! work area
    QVBoxLayout& _workLayout( void ) const
    { return *work_; }

    protected Q_SLOTS:

    //! update button states
    virtual void _updateButtons( void );

    private:

    //! list of files
    TreeView* list_;

    //! model
    FileInfoModel model_;

    //! work layout (to add options
    QVBoxLayout *work_;

    //! clear selection button
    QPushButton* clearSelectionButton_;

};

#endif
