#ifndef IconNames_h
#define IconNames_h

/******************************************************************************
*
* Copyright (C) 2002 Hugo PEREIRA <mailto: hugo.pereira@free.fr>
*
* This is free software; you can redistribute it and/or modify it under the
* terms of the GNU General Public License as published by the Free Software
* Foundation; either version 2 of the License, or (at your option) any later
* version.
*
* This software is distributed in the hope that it will be useful, but WITHOUT
* Any WARRANTY; without even the implied warranty of MERCHANTABILITY or
* FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
* for more details.
*
* You should have received a copy of the GNU General Public License along with
* this program.  If not, see <http://www.gnu.org/licenses/>.
*
*******************************************************************************/

#include "BaseIconNames.h"
#include <QString>

//! namespace for icon static name wrappers
namespace IconNames
{
    static const QString Busy = "busy.png";
    static const QString Cancel = "button_cancel.png";
    static const QString Document = "application-x-zerosize.png";
    static const QString Folder = "folder.png";

    static const QString Parent = "go-up.png";
    static const QString PreviousDirectory = "go-previous.png";
    static const QString NextDirectory = "go-next.png";
    static const QString Home = "go-home.png";

    static const QString Unknown = "unknown.png";
    static const QString UpToDate = "up_to_date.png";
    static const QString LocallyModified = "locally_modified.png";
    static const QString LocallyAdded = "locally_added.png";
    static const QString LocallyRemoved = "locally_removed.png";
    static const QString RemotelyModified = "remotely_modified.png";
    static const QString RemotelyAdded = "remotely_added.png";
    static const QString RemotelyRemoved = "remotely_removed.png";
    static const QString Merge = "merge.png";
    static const QString Conflict = "conflict.png";
};

#endif
